package com.bocloud.cmp.model;

import com.bocloud.cmp.model.storage.StorageGroupModel;
import com.bocloud.cmp.model.storage.StorageMdiskModel;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class VolumeModel {
    private String name;
    private String volumeUuid;
    private String type;
    private Integer size; // 大小
    private String props;
    private String remark;
    private String status;
    private Date createTime;
    private Boolean bootVolume;
    private Date attachedTime;// 挂载时间
    private String category;// 型号
    private String catalog;// 卷类型
    private Boolean deleteAutoSnapshot;// 自动删除快照
    private Boolean deleteWithInstance;// 随实例删除
    private Boolean enableAutoSnapshot;//
    private Date detachedTime;// 解挂时间
    private String imageUuid; // 镜像ID
    private String instanceId;// 实例ID
    private String zone; // 区域
    private String sourceSnapshotId;// 原快照ID
    private String requestId;
    private int feeType;
    private List<ServerVolumeModel> models;
    private String diskObjectId;// 硬盘设备唯一标识符
    private String sourceVolidUuid;// 源卷UUID
    private String sourceSnapUuid;// 源快照UUID
    private Long sourceVolidId;// 源卷ID
    private Long sourceSnapId;// 源快照ID
    private Long sourceImgId;// 源镜像ID
    private Boolean multiattach; // 是否为共享盘
    private String passthrough; // 磁盘类型 true:SCSI false VBD 默认false
    private Date diskExpireTime; // 过期时间
    private String diskChargeType; // 计费类型
    private Integer period; // 购买时长
    private String usage; // 是否为系统盘
    private String regionId;
    private String deviceName;
    private String volumeTemplateUuid; // 存储器模板uuid
    private Long storageId; // 所属存储服务器id
    private String storageHost; // 所属存储服务器host
    private String storageUuid; // 所属存储服务器uuid
    private String storageKeyPath; // 所属存储服务器path
    private String wwn; // 存储上对应卷的wwn号
    private Boolean support; // 存储上卷的是否是受支持的
    private String reason;// 存储上卷的若是不受支持的，不受支持的原因
    private Boolean managed;// 存储上卷是否已经被管理
    private Integer bootIndex; // 启动顺序
    private String dataStoreName;// 所在数据存储名称
    private Boolean imageVolume; // 卷是否来源于镜像
    private Long poolId; // 存储池id
    private String poolUuid; // 存储池uuid
    private String poolKeyPath; // 存储池path
    private String poolName; // 存储池名称
    private Long blockCount; // 卷block的数量
    private Double blockSize; // 卷block的大小
    private String identifier; // 卷标识
    private Boolean formatBeforeUse; // 使用前是否格式化该卷
    private String nodeId; // 首选节点
    private String udid; // UDID (OpenVMS)
    private Integer realSizePercent; // 实际容量占虚拟容量的百分比，乘以100以后的数字
    private Long realSizeBytes; // 实际容量具体数值，单位byte
    private Boolean autoExpand; // 自动扩展
    private Integer warningSizePercent; // 告警容量占虚拟容量的百分比，乘以100以后的数字
    private Long warningSizeBytes; // 告警容量具体数值，单位byte
    private Integer grainSize; // 自动精简配置的颗粒度，可取值：32 64 128 256
    private Integer copyCount; // 拷贝数量，取值1或2
    private String copyPoolId; // 拷贝池id
    private String copyPoolUuid; // 拷贝池uuid
    private String copyPoolKeyPath; // 拷贝池path
    private String copyPoolName; // 拷贝池名称
    private Integer copySyncRate; // 拷贝同步速率
    private Boolean compressed; // 是否是压缩卷
    private Boolean thinlyProvisioned; // 是否是精简卷
    private String keyPath; // smis用来传参
    private List<VolumeMirrorModel> mirrors; // 数据拷贝
    private List<StorageMdiskModel> mdisks; // 使用的磁盘阵列
    private String createOption;
    private String azureResourceGroupName;
    private List<StorageGroupModel> volumeGroups; // 所属卷组
    private List<String> volumeNames; // 批量创建存储卷时的名称列表
    private String operationalStatus; // 运行状态
    private String volumeType;// 云硬盘类型
    private String device;
    private String tenantUuid;// OpenStack租户id
    private String osTenantName;// openstack底层租户名称
    private String actionStatus; // xsky活动状态
    private Double allocatedSize; // xsky块存储卷的已使用容量
    private Long blockSnapshotNum; // xsky块存储卷的快照数量
    private Long clientGroupNum; // xsky块存储卷挂载的客户端组数量
    private String snapshotUuid; // xsky块存储卷的关联快照uuid
    private Boolean qosEnabled; // xsky创建卷是否设置业务 QoS
    private Long performancePriority; // xsky创建卷性能优先级设置
    private Long blockVolumeId; // xsky端块存储卷的id
    private Long migrationStripes; // xsky卷迁移速率级别
    private Boolean flattened; // ?????
    private Long format; // ?????
    private Boolean hidden; // ?????
    private Boolean passive; // ????
    private Date updateTime; // 卷的更新时间
    private Date latestSnapshotTime; // 最近快照时间
    private String blockVolumeGroupUuid; // 所属一致性组uuid
    private String accessPathUuid; // 关联访问路径uuid
    private String snapshotName;
    private String accessPathName;
    private String blockVolumeGroupName;
    private List<SnapshotModel> snapshots;
    private String newName;
    private String copyDestPoolName; // 执行卷拷贝的时目标卷的所属池名称
    private String copyDestVolumeName; // 执行卷拷贝的时候目标卷名称
    private Integer iops;// 磁盘每秒读写次数
    private String backupSize; // 副本大小
    private String backupCount; // 副本数量
    private String backupUuid; // 备份ID
    private String dataDiskCategory;
    private String dataDiskSize;
    // xsky
    private List<VolumeSamplesModel> volumeSamplesModel;
    private VolumeQosSpecModel volumeQosSpecModel;// 创建卷开启业务 QoS的设置
    private String storeVal;
    private String resourceGroupUuid;
    private Boolean encrypted;// 是否加密
    private String performanceLevel;
    private String projectId;

    private List<TagModel> tagModels;
    //azure
    private String diskEncryptionUuid;
    private String resourceGroupName;

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public void setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
    }

    public String getDiskEncryptionUuid() {
        return diskEncryptionUuid;
    }

    public void setDiskEncryptionUuid(String diskEncryptionUuid) {
        this.diskEncryptionUuid = diskEncryptionUuid;
    }

    public String getDevice() {
        return device;
    }

    public void setDevice(String device) {
        this.device = device;
    }

    public String getKeyPath() {
        return keyPath;
    }

    public void setKeyPath(String keyPath) {
        this.keyPath = keyPath;
    }

    public Boolean getImageVolume() {
        return imageVolume;
    }

    public void setImageVolume(Boolean imageVolume) {
        this.imageVolume = imageVolume;
    }

    public String getPoolName() {
        return poolName;
    }

    public void setPoolName(String poolName) {
        this.poolName = poolName;
    }

    public Date getDiskExpireTime() {
        return diskExpireTime;
    }

    public void setDiskExpireTime(Date diskExpireTime) {
        this.diskExpireTime = diskExpireTime;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getUsage() {
        return usage;
    }

    public void setUsage(String usage) {
        this.usage = usage;
    }

    public Integer getPeriod() {
        return period;
    }

    public void setPeriod(Integer period) {
        this.period = period;
    }

    public String getDiskChargeType() {
        return diskChargeType;
    }

    public void setDiskChargeType(String diskChargeType) {
        this.diskChargeType = diskChargeType;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the volumeUuid
     */
    public String getVolumeUuid() {
        return volumeUuid;
    }

    /**
     * @param volumeUuid the volumeUuid to set
     */
    public void setVolumeUuid(String volumeUuid) {
        this.volumeUuid = volumeUuid;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the size
     */
    public Integer getSize() {
        return size;
    }

    /**
     * @param size the size to set
     */
    public void setSize(Integer size) {
        this.size = size;
    }

    public String getProps() {
        return props;
    }

    public void setProps(String props) {
        this.props = props;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the createTime
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * @param createTime the createTime to set
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * @return the bootVolume
     */
    public Boolean getBootVolume() {
        return bootVolume;
    }

    /**
     * @param bootVolume the bootVolume to set
     */
    public void setBootVolume(Boolean bootVolume) {
        this.bootVolume = bootVolume;
    }

    /**
     * @return the attachedTime
     */
    public Date getAttachedTime() {
        return attachedTime;
    }

    /**
     * @param attachedTime the attachedTime to set
     */
    public void setAttachedTime(Date attachedTime) {
        this.attachedTime = attachedTime;
    }

    /**
     * @return the category
     */
    public String getCategory() {
        return category;
    }

    /**
     * @param category the category to set
     */
    public void setCategory(String category) {
        this.category = category;
    }

    /**
     * @return the deleteAutoSnapshot
     */
    public Boolean getDeleteAutoSnapshot() {
        return deleteAutoSnapshot;
    }

    /**
     * @param deleteAutoSnapshot the deleteAutoSnapshot to set
     */
    public void setDeleteAutoSnapshot(Boolean deleteAutoSnapshot) {
        this.deleteAutoSnapshot = deleteAutoSnapshot;
    }

    /**
     * @return the deleteWithInstance
     */
    public Boolean getDeleteWithInstance() {
        return deleteWithInstance;
    }

    /**
     * @param deleteWithInstance the deleteWithInstance to set
     */
    public void setDeleteWithInstance(Boolean deleteWithInstance) {
        this.deleteWithInstance = deleteWithInstance;
    }

    /**
     * @return the enableAutoSnapshot
     */
    public Boolean getEnableAutoSnapshot() {
        return enableAutoSnapshot;
    }

    /**
     * @param enableAutoSnapshot the enableAutoSnapshot to set
     */
    public void setEnableAutoSnapshot(Boolean enableAutoSnapshot) {
        this.enableAutoSnapshot = enableAutoSnapshot;
    }

    /**
     * @return the detachedTime
     */
    public Date getDetachedTime() {
        return detachedTime;
    }

    /**
     * @param detachedTime the detachedTime to set
     */
    public void setDetachedTime(Date detachedTime) {
        this.detachedTime = detachedTime;
    }

    /**
     * @return the imageUuid
     */
    public String getImageUuid() {
        return imageUuid;
    }

    /**
     * @param imageUuid the imageUuid to set
     */
    public void setImageUuid(String imageUuid) {
        this.imageUuid = imageUuid;
    }

    /**
     * @return the instanceId
     */
    public String getInstanceId() {
        return instanceId;
    }

    /**
     * @param instanceId the instanceId to set
     */
    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    /**
     * @return the zone
     */
    public String getZone() {
        return zone;
    }

    /**
     * @param zone the zone to set
     */
    public void setZone(String zone) {
        this.zone = zone;
    }

    /**
     * @return the sourceSnapshotId
     */
    public String getSourceSnapshotId() {
        return sourceSnapshotId;
    }

    /**
     * @param sourceSnapshotId the sourceSnapshotId to set
     */
    public void setSourceSnapshotId(String sourceSnapshotId) {
        this.sourceSnapshotId = sourceSnapshotId;
    }

    /**
     * @return the requestId
     */
    public String getRequestId() {
        return requestId;
    }

    /**
     * @param requestId the requestId to set
     */
    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    /**
     * @return the feeType
     */
    public int getFeeType() {
        return feeType;
    }

    /**
     * @param feeType the feeType to set
     */
    public void setFeeType(int feeType) {
        this.feeType = feeType;
    }

    /**
     * @return the models
     */
    public List<ServerVolumeModel> getModels() {
        return models;
    }

    /**
     * @param models the models to set
     */
    public void setModels(List<ServerVolumeModel> models) {
        this.models = models;
    }

    /**
     * @return the diskObjectId
     */
    public String getDiskObjectId() {
        return diskObjectId;
    }

    /**
     * @param diskObjectId the diskObjectId to set
     */
    public void setDiskObjectId(String diskObjectId) {
        this.diskObjectId = diskObjectId;
    }

    /**
     * @return the sourceVolidId
     */
    public Long getSourceVolidId() {
        return sourceVolidId;
    }

    /**
     * @param sourceVolidId the sourceVolidId to set
     */
    public void setSourceVolidId(Long sourceVolidId) {
        this.sourceVolidId = sourceVolidId;
    }

    /**
     * @return the sourceSnapId
     */
    public Long getSourceSnapId() {
        return sourceSnapId;
    }

    /**
     * @param sourceSnapId the sourceSnapId to set
     */
    public void setSourceSnapId(Long sourceSnapId) {
        this.sourceSnapId = sourceSnapId;
    }

    /**
     * @return the sourceVolidUuid
     */
    public String getSourceVolidUuid() {
        return sourceVolidUuid;
    }

    /**
     * @param sourceVolidUuid the sourceVolidUuid to set
     */
    public void setSourceVolidUuid(String sourceVolidUuid) {
        this.sourceVolidUuid = sourceVolidUuid;
    }

    /**
     * @return the sourceSnapUuid
     */
    public String getSourceSnapUuid() {
        return sourceSnapUuid;
    }

    /**
     * @param sourceSnapUuid the sourceSnapUuid to set
     */
    public void setSourceSnapUuid(String sourceSnapUuid) {
        this.sourceSnapUuid = sourceSnapUuid;
    }

    /**
     * @return the sourceImgId
     */
    public Long getSourceImgId() {
        return sourceImgId;
    }

    /**
     * @param sourceImgId the sourceImgId to set
     */
    public void setSourceImgId(Long sourceImgId) {
        this.sourceImgId = sourceImgId;
    }

    public VolumeModel() {
        super();
    }

    public Boolean getMultiattach() {
        return multiattach;
    }

    public void setMultiattach(Boolean multiattach) {
        this.multiattach = multiattach;
    }

    public String getTenantUuid() {
        return tenantUuid;
    }

    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }

    public VolumeModel(String volumeUuid, String name, String category, String remark, String status, Date createTime,
                       int size, String requestId) {
        super();
        this.volumeUuid = volumeUuid;
        this.name = name;
        this.category = category;
        this.remark = remark;
        this.status = status;
        this.createTime = createTime;
        this.size = size;
        this.requestId = requestId;
    }

    public String getPassthrough() {
        return passthrough;
    }

    public void setPassthrough(String passthrough) {
        this.passthrough = passthrough;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getVolumeTemplateUuid() {
        return volumeTemplateUuid;
    }

    public void setVolumeTemplateUuid(String volumeTemplateUuid) {
        this.volumeTemplateUuid = volumeTemplateUuid;
    }

    public String getStorageHost() {
        return storageHost;
    }

    public void setStorageHost(String storageHost) {
        this.storageHost = storageHost;
    }

    public Long getStorageId() {
        return storageId;
    }

    public void setStorageId(Long storageId) {
        this.storageId = storageId;
    }

    public String getWwn() {
        return wwn;
    }

    public void setWwn(String wwn) {
        this.wwn = wwn;
    }

    public Boolean getSupport() {
        return support;
    }

    public void setSupport(Boolean support) {
        this.support = support;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Boolean getManaged() {
        return managed;
    }

    public void setManaged(Boolean managed) {
        this.managed = managed;
    }

    public Integer getBootIndex() {
        return bootIndex;
    }

    public void setBootIndex(Integer bootIndex) {
        this.bootIndex = bootIndex;
    }

    public String getDataStoreName() {
        return dataStoreName;
    }

    public void setDataStoreName(String dataStoreName) {
        this.dataStoreName = dataStoreName;
    }

    public Long getBlockCount() {
        return blockCount;
    }

    public void setBlockCount(Long blockCount) {
        this.blockCount = blockCount;
    }

    public Double getBlockSize() {
        return blockSize;
    }

    public void setBlockSize(Double blockSize) {
        this.blockSize = blockSize;
    }

    public String getPoolUuid() {
        return poolUuid;
    }

    public void setPoolUuid(String poolUuid) {
        this.poolUuid = poolUuid;
    }

    public String getUdid() {
        return udid;
    }

    public void setUdid(String udid) {
        this.udid = udid;
    }

    public Boolean getCompressed() {
        return compressed;
    }

    public void setCompressed(Boolean compressed) {
        this.compressed = compressed;
    }

    public Boolean getThinlyProvisioned() {
        return thinlyProvisioned;
    }

    public void setThinlyProvisioned(Boolean thinlyProvisioned) {
        this.thinlyProvisioned = thinlyProvisioned;
    }

    public String getStorageUuid() {
        return storageUuid;
    }

    public void setStorageUuid(String storageUuid) {
        this.storageUuid = storageUuid;
    }

    public Boolean getFormatBeforeUse() {
        return formatBeforeUse;
    }

    public void setFormatBeforeUse(Boolean formatBeforeUse) {
        this.formatBeforeUse = formatBeforeUse;
    }

    public String getNodeId() {
        return nodeId;
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    public Integer getRealSizePercent() {
        return realSizePercent;
    }

    public void setRealSizePercent(Integer realSizePercent) {
        this.realSizePercent = realSizePercent;
    }

    public Long getRealSizeBytes() {
        return realSizeBytes;
    }

    public void setRealSizeBytes(Long realSizeBytes) {
        this.realSizeBytes = realSizeBytes;
    }

    public Integer getWarningSizePercent() {
        return warningSizePercent;
    }

    public void setWarningSizePercent(Integer warningSizePercent) {
        this.warningSizePercent = warningSizePercent;
    }

    public Long getWarningSizeBytes() {
        return warningSizeBytes;
    }

    public void setWarningSizeBytes(Long warningSizeBytes) {
        this.warningSizeBytes = warningSizeBytes;
    }

    public Boolean getAutoExpand() {
        return autoExpand;
    }

    public void setAutoExpand(Boolean autoExpand) {
        this.autoExpand = autoExpand;
    }

    public Integer getGrainSize() {
        return grainSize;
    }

    public void setGrainSize(Integer grainSize) {
        this.grainSize = grainSize;
    }

    public Long getPoolId() {
        return poolId;
    }

    public void setPoolId(Long poolId) {
        this.poolId = poolId;
    }

    public Integer getCopyCount() {
        return copyCount;
    }

    public void setCopyCount(Integer copyCount) {
        this.copyCount = copyCount;
    }

    public String getCopyPoolId() {
        return copyPoolId;
    }

    public void setCopyPoolId(String copyPoolId) {
        this.copyPoolId = copyPoolId;
    }

    public String getCopyPoolUuid() {
        return copyPoolUuid;
    }

    public void setCopyPoolUuid(String copyPoolUuid) {
        this.copyPoolUuid = copyPoolUuid;
    }

    public String getCopyPoolName() {
        return copyPoolName;
    }

    public void setCopyPoolName(String copyPoolName) {
        this.copyPoolName = copyPoolName;
    }

    public Integer getCopySyncRate() {
        return copySyncRate;
    }

    public void setCopySyncRate(Integer copySyncRate) {
        this.copySyncRate = copySyncRate;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getStorageKeyPath() {
        return storageKeyPath;
    }

    public void setStorageKeyPath(String storageKeyPath) {
        this.storageKeyPath = storageKeyPath;
    }

    public String getPoolKeyPath() {
        return poolKeyPath;
    }

    public void setPoolKeyPath(String poolKeyPath) {
        this.poolKeyPath = poolKeyPath;
    }

    public String getCopyPoolKeyPath() {
        return copyPoolKeyPath;
    }

    public void setCopyPoolKeyPath(String copyPoolKeyPath) {
        this.copyPoolKeyPath = copyPoolKeyPath;
    }

    public List<VolumeMirrorModel> getMirrors() {
        return mirrors;
    }

    public void setMirrors(List<VolumeMirrorModel> mirrors) {
        this.mirrors = mirrors;
    }

    public List<StorageMdiskModel> getMdisks() {
        return mdisks;
    }

    public void setMdisks(List<StorageMdiskModel> mdisks) {
        this.mdisks = mdisks;
    }

    public String getCreateOption() {
        return createOption;
    }

    public void setCreateOption(String createOption) {
        this.createOption = createOption;
    }

    public String getAzureResourceGroupName() {
        return azureResourceGroupName;
    }

    public void setAzureResourceGroupName(String azureResourceGroupName) {
        this.azureResourceGroupName = azureResourceGroupName;
    }

    public List<StorageGroupModel> getVolumeGroups() {
        return volumeGroups;
    }

    public void setVolumeGroups(List<StorageGroupModel> volumeGroups) {
        this.volumeGroups = volumeGroups;
    }

    public List<String> getVolumeNames() {
        return volumeNames;
    }

    public void setVolumeNames(List<String> volumeNames) {
        this.volumeNames = volumeNames;
    }

    public String getOperationalStatus() {
        return operationalStatus;
    }

    public void setOperationalStatus(String operationalStatus) {
        this.operationalStatus = operationalStatus;
    }

    public String getVolumeType() {
        return volumeType;
    }

    public void setVolumeType(String volumeType) {
        this.volumeType = volumeType;
    }

    public String getOsTenantName() {
        return osTenantName;
    }

    public void setOsTenantName(String osTenantName) {
        this.osTenantName = osTenantName;
    }

    public String getActionStatus() {
        return actionStatus;
    }

    public void setActionStatus(String actionStatus) {
        this.actionStatus = actionStatus;
    }

    public Double getAllocatedSize() {
        return allocatedSize;
    }

    public void setAllocatedSize(Double allocatedSize) {
        this.allocatedSize = allocatedSize;
    }

    public Long getBlockSnapshotNum() {
        return blockSnapshotNum;
    }

    public void setBlockSnapshotNum(Long blockSnapshotNum) {
        this.blockSnapshotNum = blockSnapshotNum;
    }

    public Long getClientGroupNum() {
        return clientGroupNum;
    }

    public void setClientGroupNum(Long clientGroupNum) {
        this.clientGroupNum = clientGroupNum;
    }

    public String getSnapshotUuid() {
        return snapshotUuid;
    }

    public void setSnapshotUuid(String snapshotUuid) {
        this.snapshotUuid = snapshotUuid;
    }

    public Boolean getQosEnabled() {
        return qosEnabled;
    }

    public void setQosEnabled(Boolean qosEnabled) {
        this.qosEnabled = qosEnabled;
    }

    public Long getPerformancePriority() {
        return performancePriority;
    }

    public void setPerformancePriority(Long performancePriority) {
        this.performancePriority = performancePriority;
    }

    public Long getBlockVolumeId() {
        return blockVolumeId;
    }

    public void setBlockVolumeId(Long blockVolumeId) {
        this.blockVolumeId = blockVolumeId;
    }

    public Long getMigrationStripes() {
        return migrationStripes;
    }

    public void setMigrationStripes(Long migrationStripes) {
        this.migrationStripes = migrationStripes;
    }

    public Boolean getFlattened() {
        return flattened;
    }

    public void setFlattened(Boolean flattened) {
        this.flattened = flattened;
    }

    public Long getFormat() {
        return format;
    }

    public void setFormat(Long format) {
        this.format = format;
    }

    public Boolean getHidden() {
        return hidden;
    }

    public void setHidden(Boolean hidden) {
        this.hidden = hidden;
    }

    public Boolean getPassive() {
        return passive;
    }

    public void setPassive(Boolean passive) {
        this.passive = passive;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getLatestSnapshotTime() {
        return latestSnapshotTime;
    }

    public void setLatestSnapshotTime(Date latestSnapshotTime) {
        this.latestSnapshotTime = latestSnapshotTime;
    }

    public String getBlockVolumeGroupUuid() {
        return blockVolumeGroupUuid;
    }

    public void setBlockVolumeGroupUuid(String blockVolumeGroupUuid) {
        this.blockVolumeGroupUuid = blockVolumeGroupUuid;
    }

    public String getAccessPathUuid() {
        return accessPathUuid;
    }

    public void setAccessPathUuid(String accessPathUuid) {
        this.accessPathUuid = accessPathUuid;
    }

    public String getSnapshotName() {
        return snapshotName;
    }

    public void setSnapshotName(String snapshotName) {
        this.snapshotName = snapshotName;
    }

    public String getAccessPathName() {
        return accessPathName;
    }

    public void setAccessPathName(String accessPathName) {
        this.accessPathName = accessPathName;
    }

    public String getBlockVolumeGroupName() {
        return blockVolumeGroupName;
    }

    public void setBlockVolumeGroupName(String blockVolumeGroupName) {
        this.blockVolumeGroupName = blockVolumeGroupName;
    }

    public List<SnapshotModel> getSnapshots() {
        return snapshots;
    }

    public void setSnapshots(List<SnapshotModel> snapshots) {
        this.snapshots = snapshots;
    }

    public String getNewName() {
        return newName;
    }

    public void setNewName(String newName) {
        this.newName = newName;
    }

    public String getCopyDestPoolName() {
        return copyDestPoolName;
    }

    public void setCopyDestPoolName(String copyDestPoolName) {
        this.copyDestPoolName = copyDestPoolName;
    }

    public String getCopyDestVolumeName() {
        return copyDestVolumeName;
    }

    public void setCopyDestVolumeName(String copyDestVolumeName) {
        this.copyDestVolumeName = copyDestVolumeName;
    }

    public Integer getIops() {
        return iops;
    }

    public void setIops(Integer iops) {
        this.iops = iops;
    }

    public List<VolumeSamplesModel> getVolumeSamplesModel() {
        return volumeSamplesModel;
    }

    public void setVolumeSamplesModel(List<VolumeSamplesModel> volumeSamplesModel) {
        this.volumeSamplesModel = volumeSamplesModel;
    }

    public VolumeQosSpecModel getVolumeQosSpecModel() {
        return volumeQosSpecModel;
    }

    public void setVolumeQosSpecModel(VolumeQosSpecModel volumeQosSpecModel) {
        this.volumeQosSpecModel = volumeQosSpecModel;
    }

    public String getStoreVal() {
        return storeVal;
    }

    public void setStoreVal(String storeVal) {
        this.storeVal = storeVal;
    }

    public String getResourceGroupUuid() {
        return resourceGroupUuid;
    }

    public void setResourceGroupUuid(String resourceGroupUuid) {
        this.resourceGroupUuid = resourceGroupUuid;
    }

    public String getBackupSize() {
        return backupSize;
    }

    public void setBackupSize(String backupSize) {
        this.backupSize = backupSize;
    }

    public String getBackupCount() {
        return backupCount;
    }

    public void setBackupCount(String backupCount) {
        this.backupCount = backupCount;
    }

    public String getBackupUuid() {
        return backupUuid;
    }

    public void setBackupUuid(String backupUuid) {
        this.backupUuid = backupUuid;
    }

    public List<TagModel> getTagModels() {
        return tagModels;
    }

    public void setTagModels(List<TagModel> tagModels) {
        this.tagModels = tagModels;
    }

    public Boolean getEncrypted() {
        return encrypted;
    }

    public void setEncrypted(Boolean encrypted) {
        this.encrypted = encrypted;
    }

    public String getPerformanceLevel() {
        return performanceLevel;
    }

    public void setPerformanceLevel(String performanceLevel) {
        this.performanceLevel = performanceLevel;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

}
